curl --request PUT \
--url https://api.vomo.org/v1/projects/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Community Gathering",
"description": "Inviting & meeting new neighbors of the community. Serving meals, setup game stations, face paintings for kids...etc.",
"allow_guests": 1,
"age_limit": 13,
"participant_approval_required": 1,
"show_volunteer_counter": 1,
"volunteer_counter_threshold": 10,
"privacy": "PUBLIC",
"owners": [
{
"id": 1,
"is_primary_owner": 1,
"send_notifications": 1
}
],
"address": {
"lat": 33.214561,
"lng": -96.614456,
"country": "United States",
"locality": "McKinney",
"timezone": "America/Chicago",
"postal_code": "75069",
"country_short": "US",
"locality_short": "McKinney",
"formatted_address": "610 Elm St Suite 800, McKinney, TX 75069, USA",
"postal_code_short": "75069",
"administrative_area_level_1": "Texas",
"administrative_area_level_1_short": "TX"
},
"details": "Wear comfortable shoes!",
"volunteer_question": "What is your t-shirt size?",
"background_check_required": 1,
"draft": 0,
"organization_id": 1,
"images": [
{
"l": "https://assets.vomo.org/categories/animals/Animals.jpg",
"s": "https://assets.vomo.org/categories/animals/Animals+small.jpg",
"o": "https://assets.vomo.org/categories/animals/Animals.jpg"
}
],
"point_person": {
"name": "John Volunteer",
"phone": "5555555555",
"email": "volunteer@vomo.org"
},
"categories": [
{
"id": 1
}
],
"campaigns": [
{
"id": 1
}
],
"attachment_files": [
{
"file": "<string>",
"filename": "<string>"
}
],
"links": [
{
"title": "Go here for more information",
"link": "https://vomo.org"
}
],
"project_type": "dated",
"dates": [
{
"id": "123",
"starts_at": "2020-01-01 09:00:00",
"ends_at": "2020-01-01 12:00:00",
"status": "existing",
"roles": [
{
"id": "123",
"name": "Greeter",
"description": "A cheery person for greeting guests as they come in.",
"capacity": 2
}
],
"items": [
{
"id": "123",
"name": "Bottled Water",
"description": "A case of 24",
"capacity": 10
}
]
}
]
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Community Gathering',
description: 'Inviting & meeting new neighbors of the community. Serving meals, setup game stations, face paintings for kids...etc.',
allow_guests: 1,
age_limit: 13,
participant_approval_required: 1,
show_volunteer_counter: 1,
volunteer_counter_threshold: 10,
privacy: 'PUBLIC',
owners: [{id: 1, is_primary_owner: 1, send_notifications: 1}],
address: {
lat: 33.214561,
lng: -96.614456,
country: 'United States',
locality: 'McKinney',
timezone: 'America/Chicago',
postal_code: '75069',
country_short: 'US',
locality_short: 'McKinney',
formatted_address: '610 Elm St Suite 800, McKinney, TX 75069, USA',
postal_code_short: '75069',
administrative_area_level_1: 'Texas',
administrative_area_level_1_short: 'TX'
},
details: 'Wear comfortable shoes!',
volunteer_question: 'What is your t-shirt size?',
background_check_required: 1,
draft: 0,
organization_id: 1,
images: [
{
l: 'https://assets.vomo.org/categories/animals/Animals.jpg',
s: 'https://assets.vomo.org/categories/animals/Animals+small.jpg',
o: 'https://assets.vomo.org/categories/animals/Animals.jpg'
}
],
point_person: {name: 'John Volunteer', phone: '5555555555', email: 'volunteer@vomo.org'},
categories: [{id: 1}],
campaigns: [{id: 1}],
attachment_files: [{file: '<string>', filename: '<string>'}],
links: [{title: 'Go here for more information', link: 'https://vomo.org'}],
project_type: 'dated',
dates: [
{
id: '123',
starts_at: '2020-01-01 09:00:00',
ends_at: '2020-01-01 12:00:00',
status: 'existing',
roles: [
{
id: '123',
name: 'Greeter',
description: 'A cheery person for greeting guests as they come in.',
capacity: 2
}
],
items: [{id: '123', name: 'Bottled Water', description: 'A case of 24', capacity: 10}]
}
]
})
};
fetch('https://api.vomo.org/v1/projects/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.vomo.org/v1/projects/{id}"
payload = {
"name": "Community Gathering",
"description": "Inviting & meeting new neighbors of the community. Serving meals, setup game stations, face paintings for kids...etc.",
"allow_guests": 1,
"age_limit": 13,
"participant_approval_required": 1,
"show_volunteer_counter": 1,
"volunteer_counter_threshold": 10,
"privacy": "PUBLIC",
"owners": [
{
"id": 1,
"is_primary_owner": 1,
"send_notifications": 1
}
],
"address": {
"lat": 33.214561,
"lng": -96.614456,
"country": "United States",
"locality": "McKinney",
"timezone": "America/Chicago",
"postal_code": "75069",
"country_short": "US",
"locality_short": "McKinney",
"formatted_address": "610 Elm St Suite 800, McKinney, TX 75069, USA",
"postal_code_short": "75069",
"administrative_area_level_1": "Texas",
"administrative_area_level_1_short": "TX"
},
"details": "Wear comfortable shoes!",
"volunteer_question": "What is your t-shirt size?",
"background_check_required": 1,
"draft": 0,
"organization_id": 1,
"images": [
{
"l": "https://assets.vomo.org/categories/animals/Animals.jpg",
"s": "https://assets.vomo.org/categories/animals/Animals+small.jpg",
"o": "https://assets.vomo.org/categories/animals/Animals.jpg"
}
],
"point_person": {
"name": "John Volunteer",
"phone": "5555555555",
"email": "volunteer@vomo.org"
},
"categories": [{ "id": 1 }],
"campaigns": [{ "id": 1 }],
"attachment_files": [
{
"file": "<string>",
"filename": "<string>"
}
],
"links": [
{
"title": "Go here for more information",
"link": "https://vomo.org"
}
],
"project_type": "dated",
"dates": [
{
"id": "123",
"starts_at": "2020-01-01 09:00:00",
"ends_at": "2020-01-01 12:00:00",
"status": "existing",
"roles": [
{
"id": "123",
"name": "Greeter",
"description": "A cheery person for greeting guests as they come in.",
"capacity": 2
}
],
"items": [
{
"id": "123",
"name": "Bottled Water",
"description": "A case of 24",
"capacity": 10
}
]
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.vomo.org/v1/projects/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"name\": \"Community Gathering\",\n \"description\": \"Inviting & meeting new neighbors of the community. Serving meals, setup game stations, face paintings for kids...etc.\",\n \"allow_guests\": 1,\n \"age_limit\": 13,\n \"participant_approval_required\": 1,\n \"show_volunteer_counter\": 1,\n \"volunteer_counter_threshold\": 10,\n \"privacy\": \"PUBLIC\",\n \"owners\": [\n {\n \"id\": 1,\n \"is_primary_owner\": 1,\n \"send_notifications\": 1\n }\n ],\n \"address\": {\n \"lat\": 33.214561,\n \"lng\": -96.614456,\n \"country\": \"United States\",\n \"locality\": \"McKinney\",\n \"timezone\": \"America/Chicago\",\n \"postal_code\": \"75069\",\n \"country_short\": \"US\",\n \"locality_short\": \"McKinney\",\n \"formatted_address\": \"610 Elm St Suite 800, McKinney, TX 75069, USA\",\n \"postal_code_short\": \"75069\",\n \"administrative_area_level_1\": \"Texas\",\n \"administrative_area_level_1_short\": \"TX\"\n },\n \"details\": \"Wear comfortable shoes!\",\n \"volunteer_question\": \"What is your t-shirt size?\",\n \"background_check_required\": 1,\n \"draft\": 0,\n \"organization_id\": 1,\n \"images\": [\n {\n \"l\": \"https://assets.vomo.org/categories/animals/Animals.jpg\",\n \"s\": \"https://assets.vomo.org/categories/animals/Animals+small.jpg\",\n \"o\": \"https://assets.vomo.org/categories/animals/Animals.jpg\"\n }\n ],\n \"point_person\": {\n \"name\": \"John Volunteer\",\n \"phone\": \"5555555555\",\n \"email\": \"volunteer@vomo.org\"\n },\n \"categories\": [\n {\n \"id\": 1\n }\n ],\n \"campaigns\": [\n {\n \"id\": 1\n }\n ],\n \"attachment_files\": [\n {\n \"file\": \"<string>\",\n \"filename\": \"<string>\"\n }\n ],\n \"links\": [\n {\n \"title\": \"Go here for more information\",\n \"link\": \"https://vomo.org\"\n }\n ],\n \"project_type\": \"dated\",\n \"dates\": [\n {\n \"id\": \"123\",\n \"starts_at\": \"2020-01-01 09:00:00\",\n \"ends_at\": \"2020-01-01 12:00:00\",\n \"status\": \"existing\",\n \"roles\": [\n {\n \"id\": \"123\",\n \"name\": \"Greeter\",\n \"description\": \"A cheery person for greeting guests as they come in.\",\n \"capacity\": 2\n }\n ],\n \"items\": [\n {\n \"id\": \"123\",\n \"name\": \"Bottled Water\",\n \"description\": \"A case of 24\",\n \"capacity\": 10\n }\n ]\n }\n ]\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vomo.org/v1/projects/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Community Gathering',
'description' => 'Inviting & meeting new neighbors of the community. Serving meals, setup game stations, face paintings for kids...etc.',
'allow_guests' => 1,
'age_limit' => 13,
'participant_approval_required' => 1,
'show_volunteer_counter' => 1,
'volunteer_counter_threshold' => 10,
'privacy' => 'PUBLIC',
'owners' => [
[
'id' => 1,
'is_primary_owner' => 1,
'send_notifications' => 1
]
],
'address' => [
'lat' => 33.214561,
'lng' => -96.614456,
'country' => 'United States',
'locality' => 'McKinney',
'timezone' => 'America/Chicago',
'postal_code' => '75069',
'country_short' => 'US',
'locality_short' => 'McKinney',
'formatted_address' => '610 Elm St Suite 800, McKinney, TX 75069, USA',
'postal_code_short' => '75069',
'administrative_area_level_1' => 'Texas',
'administrative_area_level_1_short' => 'TX'
],
'details' => 'Wear comfortable shoes!',
'volunteer_question' => 'What is your t-shirt size?',
'background_check_required' => 1,
'draft' => 0,
'organization_id' => 1,
'images' => [
[
'l' => 'https://assets.vomo.org/categories/animals/Animals.jpg',
's' => 'https://assets.vomo.org/categories/animals/Animals+small.jpg',
'o' => 'https://assets.vomo.org/categories/animals/Animals.jpg'
]
],
'point_person' => [
'name' => 'John Volunteer',
'phone' => '5555555555',
'email' => 'volunteer@vomo.org'
],
'categories' => [
[
'id' => 1
]
],
'campaigns' => [
[
'id' => 1
]
],
'attachment_files' => [
[
'file' => '<string>',
'filename' => '<string>'
]
],
'links' => [
[
'title' => 'Go here for more information',
'link' => 'https://vomo.org'
]
],
'project_type' => 'dated',
'dates' => [
[
'id' => '123',
'starts_at' => '2020-01-01 09:00:00',
'ends_at' => '2020-01-01 12:00:00',
'status' => 'existing',
'roles' => [
[
'id' => '123',
'name' => 'Greeter',
'description' => 'A cheery person for greeting guests as they come in.',
'capacity' => 2
]
],
'items' => [
[
'id' => '123',
'name' => 'Bottled Water',
'description' => 'A case of 24',
'capacity' => 10
]
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.put("https://api.vomo.org/v1/projects/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Community Gathering\",\n \"description\": \"Inviting & meeting new neighbors of the community. Serving meals, setup game stations, face paintings for kids...etc.\",\n \"allow_guests\": 1,\n \"age_limit\": 13,\n \"participant_approval_required\": 1,\n \"show_volunteer_counter\": 1,\n \"volunteer_counter_threshold\": 10,\n \"privacy\": \"PUBLIC\",\n \"owners\": [\n {\n \"id\": 1,\n \"is_primary_owner\": 1,\n \"send_notifications\": 1\n }\n ],\n \"address\": {\n \"lat\": 33.214561,\n \"lng\": -96.614456,\n \"country\": \"United States\",\n \"locality\": \"McKinney\",\n \"timezone\": \"America/Chicago\",\n \"postal_code\": \"75069\",\n \"country_short\": \"US\",\n \"locality_short\": \"McKinney\",\n \"formatted_address\": \"610 Elm St Suite 800, McKinney, TX 75069, USA\",\n \"postal_code_short\": \"75069\",\n \"administrative_area_level_1\": \"Texas\",\n \"administrative_area_level_1_short\": \"TX\"\n },\n \"details\": \"Wear comfortable shoes!\",\n \"volunteer_question\": \"What is your t-shirt size?\",\n \"background_check_required\": 1,\n \"draft\": 0,\n \"organization_id\": 1,\n \"images\": [\n {\n \"l\": \"https://assets.vomo.org/categories/animals/Animals.jpg\",\n \"s\": \"https://assets.vomo.org/categories/animals/Animals+small.jpg\",\n \"o\": \"https://assets.vomo.org/categories/animals/Animals.jpg\"\n }\n ],\n \"point_person\": {\n \"name\": \"John Volunteer\",\n \"phone\": \"5555555555\",\n \"email\": \"volunteer@vomo.org\"\n },\n \"categories\": [\n {\n \"id\": 1\n }\n ],\n \"campaigns\": [\n {\n \"id\": 1\n }\n ],\n \"attachment_files\": [\n {\n \"file\": \"<string>\",\n \"filename\": \"<string>\"\n }\n ],\n \"links\": [\n {\n \"title\": \"Go here for more information\",\n \"link\": \"https://vomo.org\"\n }\n ],\n \"project_type\": \"dated\",\n \"dates\": [\n {\n \"id\": \"123\",\n \"starts_at\": \"2020-01-01 09:00:00\",\n \"ends_at\": \"2020-01-01 12:00:00\",\n \"status\": \"existing\",\n \"roles\": [\n {\n \"id\": \"123\",\n \"name\": \"Greeter\",\n \"description\": \"A cheery person for greeting guests as they come in.\",\n \"capacity\": 2\n }\n ],\n \"items\": [\n {\n \"id\": \"123\",\n \"name\": \"Bottled Water\",\n \"description\": \"A case of 24\",\n \"capacity\": 10\n }\n ]\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vomo.org/v1/projects/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Community Gathering\",\n \"description\": \"Inviting & meeting new neighbors of the community. Serving meals, setup game stations, face paintings for kids...etc.\",\n \"allow_guests\": 1,\n \"age_limit\": 13,\n \"participant_approval_required\": 1,\n \"show_volunteer_counter\": 1,\n \"volunteer_counter_threshold\": 10,\n \"privacy\": \"PUBLIC\",\n \"owners\": [\n {\n \"id\": 1,\n \"is_primary_owner\": 1,\n \"send_notifications\": 1\n }\n ],\n \"address\": {\n \"lat\": 33.214561,\n \"lng\": -96.614456,\n \"country\": \"United States\",\n \"locality\": \"McKinney\",\n \"timezone\": \"America/Chicago\",\n \"postal_code\": \"75069\",\n \"country_short\": \"US\",\n \"locality_short\": \"McKinney\",\n \"formatted_address\": \"610 Elm St Suite 800, McKinney, TX 75069, USA\",\n \"postal_code_short\": \"75069\",\n \"administrative_area_level_1\": \"Texas\",\n \"administrative_area_level_1_short\": \"TX\"\n },\n \"details\": \"Wear comfortable shoes!\",\n \"volunteer_question\": \"What is your t-shirt size?\",\n \"background_check_required\": 1,\n \"draft\": 0,\n \"organization_id\": 1,\n \"images\": [\n {\n \"l\": \"https://assets.vomo.org/categories/animals/Animals.jpg\",\n \"s\": \"https://assets.vomo.org/categories/animals/Animals+small.jpg\",\n \"o\": \"https://assets.vomo.org/categories/animals/Animals.jpg\"\n }\n ],\n \"point_person\": {\n \"name\": \"John Volunteer\",\n \"phone\": \"5555555555\",\n \"email\": \"volunteer@vomo.org\"\n },\n \"categories\": [\n {\n \"id\": 1\n }\n ],\n \"campaigns\": [\n {\n \"id\": 1\n }\n ],\n \"attachment_files\": [\n {\n \"file\": \"<string>\",\n \"filename\": \"<string>\"\n }\n ],\n \"links\": [\n {\n \"title\": \"Go here for more information\",\n \"link\": \"https://vomo.org\"\n }\n ],\n \"project_type\": \"dated\",\n \"dates\": [\n {\n \"id\": \"123\",\n \"starts_at\": \"2020-01-01 09:00:00\",\n \"ends_at\": \"2020-01-01 12:00:00\",\n \"status\": \"existing\",\n \"roles\": [\n {\n \"id\": \"123\",\n \"name\": \"Greeter\",\n \"description\": \"A cheery person for greeting guests as they come in.\",\n \"capacity\": 2\n }\n ],\n \"items\": [\n {\n \"id\": \"123\",\n \"name\": \"Bottled Water\",\n \"description\": \"A case of 24\",\n \"capacity\": 10\n }\n ]\n }\n ]\n}"
response = http.request(request)
puts response.read_bodyconst url = 'https://api.vomo.org/v1/projects/{id}';
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Community Gathering',
description: 'Inviting & meeting new neighbors of the community. Serving meals, setup game stations, face paintings for kids...etc.',
allow_guests: 1,
age_limit: 13,
participant_approval_required: 1,
show_volunteer_counter: 1,
volunteer_counter_threshold: 10,
privacy: 'PUBLIC',
owners: [{id: 1, is_primary_owner: 1, send_notifications: 1}],
address: {
lat: 33.214561,
lng: -96.614456,
country: 'United States',
locality: 'McKinney',
timezone: 'America/Chicago',
postal_code: '75069',
country_short: 'US',
locality_short: 'McKinney',
formatted_address: '610 Elm St Suite 800, McKinney, TX 75069, USA',
postal_code_short: '75069',
administrative_area_level_1: 'Texas',
administrative_area_level_1_short: 'TX'
},
details: 'Wear comfortable shoes!',
volunteer_question: 'What is your t-shirt size?',
background_check_required: 1,
draft: 0,
organization_id: 1,
images: [
{
l: 'https://assets.vomo.org/categories/animals/Animals.jpg',
s: 'https://assets.vomo.org/categories/animals/Animals+small.jpg',
o: 'https://assets.vomo.org/categories/animals/Animals.jpg'
}
],
point_person: {name: 'John Volunteer', phone: '5555555555', email: 'volunteer@vomo.org'},
categories: [{id: 1}],
campaigns: [{id: 1}],
attachment_files: [{file: '<string>', filename: '<string>'}],
links: [{title: 'Go here for more information', link: 'https://vomo.org'}],
project_type: 'dated',
dates: [
{
id: '123',
starts_at: '2020-01-01 09:00:00',
ends_at: '2020-01-01 12:00:00',
status: 'existing',
roles: [
{
id: '123',
name: 'Greeter',
description: 'A cheery person for greeting guests as they come in.',
capacity: 2
}
],
items: [{id: '123', name: 'Bottled Water', description: 'A case of 24', capacity: 10}]
}
]
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"code": 200,
"message": "Project updated.",
"data": {
"type": "project",
"id": "4001",
"project_name": "Saturday Pantry Pack",
"description": "Pack weekend food bags for students at risk of hunger. New winter session added.",
"details": "Wear closed-toe shoes. Bring a water bottle.",
"url": "https://app.vomo.org/opportunity/saturday-pantry-pack",
"organization_id": 50,
"organization": "Riverside Hope Foundation",
"organization_slug": "riverside-hope",
"author_id": 7903,
"owners": [
{
"id": 7903,
"is_primary_owner": true,
"send_notifications": true
}
],
"address": {
"lat": "33.214561",
"lng": "-96.614456",
"country": "United States",
"locality": "McKinney",
"timezone": "America/Chicago",
"postal_code": "75069",
"country_short": "US",
"locality_short": "McKinney",
"formatted_address": "610 Elm St, McKinney, TX 75069, USA",
"postal_code_short": "75069",
"administrative_area_level_1": "Texas",
"administrative_area_level_1_short": "TX"
},
"anytime": 0,
"anywhere": 0,
"draft": false,
"created_at": "2025-11-01T09:00:00+00:00",
"updated_at": "2025-11-20T11:30:00+00:00",
"published_at": "2025-11-01T09:00:00+00:00",
"campaigns": [],
"certificates": [],
"form_completions": [],
"next_date": {
"type": "project_date",
"id": 40004,
"starts_at": "2025-12-06T09:00:00+00:00",
"ends_at": "2025-12-06T12:00:00+00:00",
"participant_count": 0
},
"images": [
"https://vomo-cdn.com/media/2025/11/pantry-pack-l.jpg"
],
"point_person": {
"name": "Priya Sharma",
"phone": "(555) 012-0103",
"email": "priya.sharma@example.org"
},
"allow_guests": true,
"age_limit": 0,
"volunteer_question": null,
"participant_approval_required": false,
"background_check_required": false,
"show_volunteer_counter": false,
"volunteer_counter_threshold": 0,
"privacy": "PUBLIC",
"all_dates": [
{
"type": "project_date",
"id": 40001,
"starts_at": "2025-11-15T09:00:00+00:00",
"ends_at": "2025-11-15T12:00:00+00:00",
"participant_count": 8
},
{
"type": "project_date",
"id": 40004,
"starts_at": "2025-12-06T09:00:00+00:00",
"ends_at": "2025-12-06T12:00:00+00:00",
"participant_count": 0
}
]
}
}{
"error": {
"code": 401,
"message": "Invalid API key"
}
}{
"message": "No query results for model [App\\\\Models\\\\Project]."
}{
"message": "The given data was invalid.",
"errors": {
"name": [
"The name field is required."
],
"address.timezone": [
"The address.timezone field is required."
]
}
}{
"message": "Too Many Attempts."
}{
"message": "Server Error"
}Update a Project
Updates an existing volunteer project. All required project fields must be supplied. Serving dates are upserted: a date with an existing id is updated, a date with no id is created, and a date is removed only when it is included with status ‘deleted’ — omitting a date from the request does NOT delete it. The project_type (dated vs. anytime) cannot be changed after creation.
curl --request PUT \
--url https://api.vomo.org/v1/projects/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Community Gathering",
"description": "Inviting & meeting new neighbors of the community. Serving meals, setup game stations, face paintings for kids...etc.",
"allow_guests": 1,
"age_limit": 13,
"participant_approval_required": 1,
"show_volunteer_counter": 1,
"volunteer_counter_threshold": 10,
"privacy": "PUBLIC",
"owners": [
{
"id": 1,
"is_primary_owner": 1,
"send_notifications": 1
}
],
"address": {
"lat": 33.214561,
"lng": -96.614456,
"country": "United States",
"locality": "McKinney",
"timezone": "America/Chicago",
"postal_code": "75069",
"country_short": "US",
"locality_short": "McKinney",
"formatted_address": "610 Elm St Suite 800, McKinney, TX 75069, USA",
"postal_code_short": "75069",
"administrative_area_level_1": "Texas",
"administrative_area_level_1_short": "TX"
},
"details": "Wear comfortable shoes!",
"volunteer_question": "What is your t-shirt size?",
"background_check_required": 1,
"draft": 0,
"organization_id": 1,
"images": [
{
"l": "https://assets.vomo.org/categories/animals/Animals.jpg",
"s": "https://assets.vomo.org/categories/animals/Animals+small.jpg",
"o": "https://assets.vomo.org/categories/animals/Animals.jpg"
}
],
"point_person": {
"name": "John Volunteer",
"phone": "5555555555",
"email": "volunteer@vomo.org"
},
"categories": [
{
"id": 1
}
],
"campaigns": [
{
"id": 1
}
],
"attachment_files": [
{
"file": "<string>",
"filename": "<string>"
}
],
"links": [
{
"title": "Go here for more information",
"link": "https://vomo.org"
}
],
"project_type": "dated",
"dates": [
{
"id": "123",
"starts_at": "2020-01-01 09:00:00",
"ends_at": "2020-01-01 12:00:00",
"status": "existing",
"roles": [
{
"id": "123",
"name": "Greeter",
"description": "A cheery person for greeting guests as they come in.",
"capacity": 2
}
],
"items": [
{
"id": "123",
"name": "Bottled Water",
"description": "A case of 24",
"capacity": 10
}
]
}
]
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Community Gathering',
description: 'Inviting & meeting new neighbors of the community. Serving meals, setup game stations, face paintings for kids...etc.',
allow_guests: 1,
age_limit: 13,
participant_approval_required: 1,
show_volunteer_counter: 1,
volunteer_counter_threshold: 10,
privacy: 'PUBLIC',
owners: [{id: 1, is_primary_owner: 1, send_notifications: 1}],
address: {
lat: 33.214561,
lng: -96.614456,
country: 'United States',
locality: 'McKinney',
timezone: 'America/Chicago',
postal_code: '75069',
country_short: 'US',
locality_short: 'McKinney',
formatted_address: '610 Elm St Suite 800, McKinney, TX 75069, USA',
postal_code_short: '75069',
administrative_area_level_1: 'Texas',
administrative_area_level_1_short: 'TX'
},
details: 'Wear comfortable shoes!',
volunteer_question: 'What is your t-shirt size?',
background_check_required: 1,
draft: 0,
organization_id: 1,
images: [
{
l: 'https://assets.vomo.org/categories/animals/Animals.jpg',
s: 'https://assets.vomo.org/categories/animals/Animals+small.jpg',
o: 'https://assets.vomo.org/categories/animals/Animals.jpg'
}
],
point_person: {name: 'John Volunteer', phone: '5555555555', email: 'volunteer@vomo.org'},
categories: [{id: 1}],
campaigns: [{id: 1}],
attachment_files: [{file: '<string>', filename: '<string>'}],
links: [{title: 'Go here for more information', link: 'https://vomo.org'}],
project_type: 'dated',
dates: [
{
id: '123',
starts_at: '2020-01-01 09:00:00',
ends_at: '2020-01-01 12:00:00',
status: 'existing',
roles: [
{
id: '123',
name: 'Greeter',
description: 'A cheery person for greeting guests as they come in.',
capacity: 2
}
],
items: [{id: '123', name: 'Bottled Water', description: 'A case of 24', capacity: 10}]
}
]
})
};
fetch('https://api.vomo.org/v1/projects/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.vomo.org/v1/projects/{id}"
payload = {
"name": "Community Gathering",
"description": "Inviting & meeting new neighbors of the community. Serving meals, setup game stations, face paintings for kids...etc.",
"allow_guests": 1,
"age_limit": 13,
"participant_approval_required": 1,
"show_volunteer_counter": 1,
"volunteer_counter_threshold": 10,
"privacy": "PUBLIC",
"owners": [
{
"id": 1,
"is_primary_owner": 1,
"send_notifications": 1
}
],
"address": {
"lat": 33.214561,
"lng": -96.614456,
"country": "United States",
"locality": "McKinney",
"timezone": "America/Chicago",
"postal_code": "75069",
"country_short": "US",
"locality_short": "McKinney",
"formatted_address": "610 Elm St Suite 800, McKinney, TX 75069, USA",
"postal_code_short": "75069",
"administrative_area_level_1": "Texas",
"administrative_area_level_1_short": "TX"
},
"details": "Wear comfortable shoes!",
"volunteer_question": "What is your t-shirt size?",
"background_check_required": 1,
"draft": 0,
"organization_id": 1,
"images": [
{
"l": "https://assets.vomo.org/categories/animals/Animals.jpg",
"s": "https://assets.vomo.org/categories/animals/Animals+small.jpg",
"o": "https://assets.vomo.org/categories/animals/Animals.jpg"
}
],
"point_person": {
"name": "John Volunteer",
"phone": "5555555555",
"email": "volunteer@vomo.org"
},
"categories": [{ "id": 1 }],
"campaigns": [{ "id": 1 }],
"attachment_files": [
{
"file": "<string>",
"filename": "<string>"
}
],
"links": [
{
"title": "Go here for more information",
"link": "https://vomo.org"
}
],
"project_type": "dated",
"dates": [
{
"id": "123",
"starts_at": "2020-01-01 09:00:00",
"ends_at": "2020-01-01 12:00:00",
"status": "existing",
"roles": [
{
"id": "123",
"name": "Greeter",
"description": "A cheery person for greeting guests as they come in.",
"capacity": 2
}
],
"items": [
{
"id": "123",
"name": "Bottled Water",
"description": "A case of 24",
"capacity": 10
}
]
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.vomo.org/v1/projects/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"name\": \"Community Gathering\",\n \"description\": \"Inviting & meeting new neighbors of the community. Serving meals, setup game stations, face paintings for kids...etc.\",\n \"allow_guests\": 1,\n \"age_limit\": 13,\n \"participant_approval_required\": 1,\n \"show_volunteer_counter\": 1,\n \"volunteer_counter_threshold\": 10,\n \"privacy\": \"PUBLIC\",\n \"owners\": [\n {\n \"id\": 1,\n \"is_primary_owner\": 1,\n \"send_notifications\": 1\n }\n ],\n \"address\": {\n \"lat\": 33.214561,\n \"lng\": -96.614456,\n \"country\": \"United States\",\n \"locality\": \"McKinney\",\n \"timezone\": \"America/Chicago\",\n \"postal_code\": \"75069\",\n \"country_short\": \"US\",\n \"locality_short\": \"McKinney\",\n \"formatted_address\": \"610 Elm St Suite 800, McKinney, TX 75069, USA\",\n \"postal_code_short\": \"75069\",\n \"administrative_area_level_1\": \"Texas\",\n \"administrative_area_level_1_short\": \"TX\"\n },\n \"details\": \"Wear comfortable shoes!\",\n \"volunteer_question\": \"What is your t-shirt size?\",\n \"background_check_required\": 1,\n \"draft\": 0,\n \"organization_id\": 1,\n \"images\": [\n {\n \"l\": \"https://assets.vomo.org/categories/animals/Animals.jpg\",\n \"s\": \"https://assets.vomo.org/categories/animals/Animals+small.jpg\",\n \"o\": \"https://assets.vomo.org/categories/animals/Animals.jpg\"\n }\n ],\n \"point_person\": {\n \"name\": \"John Volunteer\",\n \"phone\": \"5555555555\",\n \"email\": \"volunteer@vomo.org\"\n },\n \"categories\": [\n {\n \"id\": 1\n }\n ],\n \"campaigns\": [\n {\n \"id\": 1\n }\n ],\n \"attachment_files\": [\n {\n \"file\": \"<string>\",\n \"filename\": \"<string>\"\n }\n ],\n \"links\": [\n {\n \"title\": \"Go here for more information\",\n \"link\": \"https://vomo.org\"\n }\n ],\n \"project_type\": \"dated\",\n \"dates\": [\n {\n \"id\": \"123\",\n \"starts_at\": \"2020-01-01 09:00:00\",\n \"ends_at\": \"2020-01-01 12:00:00\",\n \"status\": \"existing\",\n \"roles\": [\n {\n \"id\": \"123\",\n \"name\": \"Greeter\",\n \"description\": \"A cheery person for greeting guests as they come in.\",\n \"capacity\": 2\n }\n ],\n \"items\": [\n {\n \"id\": \"123\",\n \"name\": \"Bottled Water\",\n \"description\": \"A case of 24\",\n \"capacity\": 10\n }\n ]\n }\n ]\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vomo.org/v1/projects/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Community Gathering',
'description' => 'Inviting & meeting new neighbors of the community. Serving meals, setup game stations, face paintings for kids...etc.',
'allow_guests' => 1,
'age_limit' => 13,
'participant_approval_required' => 1,
'show_volunteer_counter' => 1,
'volunteer_counter_threshold' => 10,
'privacy' => 'PUBLIC',
'owners' => [
[
'id' => 1,
'is_primary_owner' => 1,
'send_notifications' => 1
]
],
'address' => [
'lat' => 33.214561,
'lng' => -96.614456,
'country' => 'United States',
'locality' => 'McKinney',
'timezone' => 'America/Chicago',
'postal_code' => '75069',
'country_short' => 'US',
'locality_short' => 'McKinney',
'formatted_address' => '610 Elm St Suite 800, McKinney, TX 75069, USA',
'postal_code_short' => '75069',
'administrative_area_level_1' => 'Texas',
'administrative_area_level_1_short' => 'TX'
],
'details' => 'Wear comfortable shoes!',
'volunteer_question' => 'What is your t-shirt size?',
'background_check_required' => 1,
'draft' => 0,
'organization_id' => 1,
'images' => [
[
'l' => 'https://assets.vomo.org/categories/animals/Animals.jpg',
's' => 'https://assets.vomo.org/categories/animals/Animals+small.jpg',
'o' => 'https://assets.vomo.org/categories/animals/Animals.jpg'
]
],
'point_person' => [
'name' => 'John Volunteer',
'phone' => '5555555555',
'email' => 'volunteer@vomo.org'
],
'categories' => [
[
'id' => 1
]
],
'campaigns' => [
[
'id' => 1
]
],
'attachment_files' => [
[
'file' => '<string>',
'filename' => '<string>'
]
],
'links' => [
[
'title' => 'Go here for more information',
'link' => 'https://vomo.org'
]
],
'project_type' => 'dated',
'dates' => [
[
'id' => '123',
'starts_at' => '2020-01-01 09:00:00',
'ends_at' => '2020-01-01 12:00:00',
'status' => 'existing',
'roles' => [
[
'id' => '123',
'name' => 'Greeter',
'description' => 'A cheery person for greeting guests as they come in.',
'capacity' => 2
]
],
'items' => [
[
'id' => '123',
'name' => 'Bottled Water',
'description' => 'A case of 24',
'capacity' => 10
]
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.put("https://api.vomo.org/v1/projects/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Community Gathering\",\n \"description\": \"Inviting & meeting new neighbors of the community. Serving meals, setup game stations, face paintings for kids...etc.\",\n \"allow_guests\": 1,\n \"age_limit\": 13,\n \"participant_approval_required\": 1,\n \"show_volunteer_counter\": 1,\n \"volunteer_counter_threshold\": 10,\n \"privacy\": \"PUBLIC\",\n \"owners\": [\n {\n \"id\": 1,\n \"is_primary_owner\": 1,\n \"send_notifications\": 1\n }\n ],\n \"address\": {\n \"lat\": 33.214561,\n \"lng\": -96.614456,\n \"country\": \"United States\",\n \"locality\": \"McKinney\",\n \"timezone\": \"America/Chicago\",\n \"postal_code\": \"75069\",\n \"country_short\": \"US\",\n \"locality_short\": \"McKinney\",\n \"formatted_address\": \"610 Elm St Suite 800, McKinney, TX 75069, USA\",\n \"postal_code_short\": \"75069\",\n \"administrative_area_level_1\": \"Texas\",\n \"administrative_area_level_1_short\": \"TX\"\n },\n \"details\": \"Wear comfortable shoes!\",\n \"volunteer_question\": \"What is your t-shirt size?\",\n \"background_check_required\": 1,\n \"draft\": 0,\n \"organization_id\": 1,\n \"images\": [\n {\n \"l\": \"https://assets.vomo.org/categories/animals/Animals.jpg\",\n \"s\": \"https://assets.vomo.org/categories/animals/Animals+small.jpg\",\n \"o\": \"https://assets.vomo.org/categories/animals/Animals.jpg\"\n }\n ],\n \"point_person\": {\n \"name\": \"John Volunteer\",\n \"phone\": \"5555555555\",\n \"email\": \"volunteer@vomo.org\"\n },\n \"categories\": [\n {\n \"id\": 1\n }\n ],\n \"campaigns\": [\n {\n \"id\": 1\n }\n ],\n \"attachment_files\": [\n {\n \"file\": \"<string>\",\n \"filename\": \"<string>\"\n }\n ],\n \"links\": [\n {\n \"title\": \"Go here for more information\",\n \"link\": \"https://vomo.org\"\n }\n ],\n \"project_type\": \"dated\",\n \"dates\": [\n {\n \"id\": \"123\",\n \"starts_at\": \"2020-01-01 09:00:00\",\n \"ends_at\": \"2020-01-01 12:00:00\",\n \"status\": \"existing\",\n \"roles\": [\n {\n \"id\": \"123\",\n \"name\": \"Greeter\",\n \"description\": \"A cheery person for greeting guests as they come in.\",\n \"capacity\": 2\n }\n ],\n \"items\": [\n {\n \"id\": \"123\",\n \"name\": \"Bottled Water\",\n \"description\": \"A case of 24\",\n \"capacity\": 10\n }\n ]\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vomo.org/v1/projects/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Community Gathering\",\n \"description\": \"Inviting & meeting new neighbors of the community. Serving meals, setup game stations, face paintings for kids...etc.\",\n \"allow_guests\": 1,\n \"age_limit\": 13,\n \"participant_approval_required\": 1,\n \"show_volunteer_counter\": 1,\n \"volunteer_counter_threshold\": 10,\n \"privacy\": \"PUBLIC\",\n \"owners\": [\n {\n \"id\": 1,\n \"is_primary_owner\": 1,\n \"send_notifications\": 1\n }\n ],\n \"address\": {\n \"lat\": 33.214561,\n \"lng\": -96.614456,\n \"country\": \"United States\",\n \"locality\": \"McKinney\",\n \"timezone\": \"America/Chicago\",\n \"postal_code\": \"75069\",\n \"country_short\": \"US\",\n \"locality_short\": \"McKinney\",\n \"formatted_address\": \"610 Elm St Suite 800, McKinney, TX 75069, USA\",\n \"postal_code_short\": \"75069\",\n \"administrative_area_level_1\": \"Texas\",\n \"administrative_area_level_1_short\": \"TX\"\n },\n \"details\": \"Wear comfortable shoes!\",\n \"volunteer_question\": \"What is your t-shirt size?\",\n \"background_check_required\": 1,\n \"draft\": 0,\n \"organization_id\": 1,\n \"images\": [\n {\n \"l\": \"https://assets.vomo.org/categories/animals/Animals.jpg\",\n \"s\": \"https://assets.vomo.org/categories/animals/Animals+small.jpg\",\n \"o\": \"https://assets.vomo.org/categories/animals/Animals.jpg\"\n }\n ],\n \"point_person\": {\n \"name\": \"John Volunteer\",\n \"phone\": \"5555555555\",\n \"email\": \"volunteer@vomo.org\"\n },\n \"categories\": [\n {\n \"id\": 1\n }\n ],\n \"campaigns\": [\n {\n \"id\": 1\n }\n ],\n \"attachment_files\": [\n {\n \"file\": \"<string>\",\n \"filename\": \"<string>\"\n }\n ],\n \"links\": [\n {\n \"title\": \"Go here for more information\",\n \"link\": \"https://vomo.org\"\n }\n ],\n \"project_type\": \"dated\",\n \"dates\": [\n {\n \"id\": \"123\",\n \"starts_at\": \"2020-01-01 09:00:00\",\n \"ends_at\": \"2020-01-01 12:00:00\",\n \"status\": \"existing\",\n \"roles\": [\n {\n \"id\": \"123\",\n \"name\": \"Greeter\",\n \"description\": \"A cheery person for greeting guests as they come in.\",\n \"capacity\": 2\n }\n ],\n \"items\": [\n {\n \"id\": \"123\",\n \"name\": \"Bottled Water\",\n \"description\": \"A case of 24\",\n \"capacity\": 10\n }\n ]\n }\n ]\n}"
response = http.request(request)
puts response.read_bodyconst url = 'https://api.vomo.org/v1/projects/{id}';
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Community Gathering',
description: 'Inviting & meeting new neighbors of the community. Serving meals, setup game stations, face paintings for kids...etc.',
allow_guests: 1,
age_limit: 13,
participant_approval_required: 1,
show_volunteer_counter: 1,
volunteer_counter_threshold: 10,
privacy: 'PUBLIC',
owners: [{id: 1, is_primary_owner: 1, send_notifications: 1}],
address: {
lat: 33.214561,
lng: -96.614456,
country: 'United States',
locality: 'McKinney',
timezone: 'America/Chicago',
postal_code: '75069',
country_short: 'US',
locality_short: 'McKinney',
formatted_address: '610 Elm St Suite 800, McKinney, TX 75069, USA',
postal_code_short: '75069',
administrative_area_level_1: 'Texas',
administrative_area_level_1_short: 'TX'
},
details: 'Wear comfortable shoes!',
volunteer_question: 'What is your t-shirt size?',
background_check_required: 1,
draft: 0,
organization_id: 1,
images: [
{
l: 'https://assets.vomo.org/categories/animals/Animals.jpg',
s: 'https://assets.vomo.org/categories/animals/Animals+small.jpg',
o: 'https://assets.vomo.org/categories/animals/Animals.jpg'
}
],
point_person: {name: 'John Volunteer', phone: '5555555555', email: 'volunteer@vomo.org'},
categories: [{id: 1}],
campaigns: [{id: 1}],
attachment_files: [{file: '<string>', filename: '<string>'}],
links: [{title: 'Go here for more information', link: 'https://vomo.org'}],
project_type: 'dated',
dates: [
{
id: '123',
starts_at: '2020-01-01 09:00:00',
ends_at: '2020-01-01 12:00:00',
status: 'existing',
roles: [
{
id: '123',
name: 'Greeter',
description: 'A cheery person for greeting guests as they come in.',
capacity: 2
}
],
items: [{id: '123', name: 'Bottled Water', description: 'A case of 24', capacity: 10}]
}
]
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"code": 200,
"message": "Project updated.",
"data": {
"type": "project",
"id": "4001",
"project_name": "Saturday Pantry Pack",
"description": "Pack weekend food bags for students at risk of hunger. New winter session added.",
"details": "Wear closed-toe shoes. Bring a water bottle.",
"url": "https://app.vomo.org/opportunity/saturday-pantry-pack",
"organization_id": 50,
"organization": "Riverside Hope Foundation",
"organization_slug": "riverside-hope",
"author_id": 7903,
"owners": [
{
"id": 7903,
"is_primary_owner": true,
"send_notifications": true
}
],
"address": {
"lat": "33.214561",
"lng": "-96.614456",
"country": "United States",
"locality": "McKinney",
"timezone": "America/Chicago",
"postal_code": "75069",
"country_short": "US",
"locality_short": "McKinney",
"formatted_address": "610 Elm St, McKinney, TX 75069, USA",
"postal_code_short": "75069",
"administrative_area_level_1": "Texas",
"administrative_area_level_1_short": "TX"
},
"anytime": 0,
"anywhere": 0,
"draft": false,
"created_at": "2025-11-01T09:00:00+00:00",
"updated_at": "2025-11-20T11:30:00+00:00",
"published_at": "2025-11-01T09:00:00+00:00",
"campaigns": [],
"certificates": [],
"form_completions": [],
"next_date": {
"type": "project_date",
"id": 40004,
"starts_at": "2025-12-06T09:00:00+00:00",
"ends_at": "2025-12-06T12:00:00+00:00",
"participant_count": 0
},
"images": [
"https://vomo-cdn.com/media/2025/11/pantry-pack-l.jpg"
],
"point_person": {
"name": "Priya Sharma",
"phone": "(555) 012-0103",
"email": "priya.sharma@example.org"
},
"allow_guests": true,
"age_limit": 0,
"volunteer_question": null,
"participant_approval_required": false,
"background_check_required": false,
"show_volunteer_counter": false,
"volunteer_counter_threshold": 0,
"privacy": "PUBLIC",
"all_dates": [
{
"type": "project_date",
"id": 40001,
"starts_at": "2025-11-15T09:00:00+00:00",
"ends_at": "2025-11-15T12:00:00+00:00",
"participant_count": 8
},
{
"type": "project_date",
"id": 40004,
"starts_at": "2025-12-06T09:00:00+00:00",
"ends_at": "2025-12-06T12:00:00+00:00",
"participant_count": 0
}
]
}
}{
"error": {
"code": 401,
"message": "Invalid API key"
}
}{
"message": "No query results for model [App\\\\Models\\\\Project]."
}{
"message": "The given data was invalid.",
"errors": {
"name": [
"The name field is required."
],
"address.timezone": [
"The address.timezone field is required."
]
}
}{
"message": "Too Many Attempts."
}{
"message": "Server Error"
}Authorizations
Body
Project to update
Request body for creating or updating a project.
The visibility of the project. Possible values: PUBLIC — accessible by all VOMO users; PRIVATE — accessible only by members of the organization (those in the People list); UNLISTED — not listed publicly but accessible via direct link.
PUBLIC, PRIVATE, UNLISTED "PUBLIC"
The scheduling type for the project. Cannot be changed after a project has been created. Possible values: dated — the project has specific dates and times when volunteers are needed; anytime — volunteers can participate at any time, with no fixed schedule.
dated, anytime "dated"
Was this page helpful?